> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/47.-query-ottieni-zonesmaps.md).

# 47. Query: ottieni "ZonesMaps"

Query per ottenere le "ZonesMaps" dell'utente. Per implementare la logica di impaginazione, usare il parametro di query `dimensionePagina`. Il filtro funziona come condizione AND, ad es. è possibile filtrare per `farmUuid`, `fieldUuid`, `vectorAnalysisMapUuid`, `etichette`, `scopo`, `tipo`, e `conSoloTariffe` nella stessa query oppure usare una sola condizione di filtro o non usare alcuna condizione.&#x20;

Restrizioni: il filtro per `scopo`, `tipo`, e `conSoloTariffe` funziona solo in combinazione con `fieldUuid`. È consentito cercare le mappe delle zone per `vectorAnalysisMapUuid` singolo attributo.&#x20;

Ci sono `ultimaChiaveValutata` e `conteggioTotale`  nella risposta. Il `ultimaChiaveValutata` si riferisce all'ultimo record elaborato che soddisfa le condizioni del filtro. Il `conteggioTotale` - è il numero totale di record che corrispondono alle condizioni di filtraggio.

## &#x20;Modello

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterZonesMapsSample {
  getZonesMaps(
    filtro: {
      pageSize: 10
      fieldUuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
      purpose: SEMINA
      type: SATELLITE
      labels: ["id=field"]
      withRatesOnly: true
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>"
    }
) {
    zonesMaps {
      uuid
      nome
      zonesMapGeojson(unit: ACRES)
      zonesMapUrl
    }
    conteggioTotale
    ultimaChiaveValutata {
      ChiavePartizione
      ChiaveOrdinamento
      StringaTag
    }
  }
}
```

{% endcode %}

## Richiedi

```graphql
query FilterZonesMapsSample {
  getZonesMaps(
    filtro: {
      pageSize: 3
      fieldUuid: "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
      purpose: GENERALE
    }
) {
    zonesMaps {
      uuid
      nome
      zonesMapUrl
    }
    ultimaChiaveValutata {
      ChiavePartizione
      ChiaveOrdinamento
      StringaTag
    }
  }
}
```

## Risposta

### Metadati

La risposta contiene il JSON sottostante.&#x20;

```json
{
  "data": {
    "getZonesMaps": {
      "zonesMaps": [
        {
          "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
          "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee"
        },
        {
          "uuid": "ec8cd4db-efe9-40a3-b616-7169bcde9be9",
          "name": "7 Years 2016-2023",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ec8cd4db-efe9-40a3-b616-7169bcde9be9"
        },
        {
          "uuid": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
          "name": "VR Seeding",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=multilayers_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:eb4ddd50-ff38-4467-b8e0-cce26be699c8"
        }
      ],
      "lastEvaluatedKey": {
        "PartitionKey": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
        "SortKey": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
        "TagString": null
      }
    }
  }
}
```

### Statistiche e geometrie delle zone

I dettagli sulle statistiche e le geometrie delle zone sono in `zonesMapUrl` .&#x20;

Il campione di statistiche da `properties` è riportato di seguito.

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "VALUE",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/47.-query-ottieni-zonesmaps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
